Qt 5.14.2 release. See https://www.qt.io/blog/qt-5.14-has-released for more information.


Update to qt-creator-4.12.2, see https://www.qt.io/blog/qt-creator-4.12.2-released for details.


Also look for unsuffixed qmake when detecting kits.


Update to qt-creator-4.12.1, see https://www.qt.io/blog/qt-creator-4.12.1-released for details.

How to install

sudo dnf upgrade --advisory=FEDORA-2020-c80eec2ce4

This update has been submitted for testing by jgrulich.

a month ago

This update's test gating status has been changed to 'waiting'.

a month ago

This update has obsoleted qt-creator-4.12.2-1.fc32, and has inherited its bugs and notes.

a month ago

This update's test gating status has been changed to 'ignored'.

a month ago
User Icon ozeszty commented & provided feedback a month ago

I've got one package requiring a rebuild:

Problem: problem with installed package qt5-qtenginio-1:1.6.2-28.fc32.x86_64

  • package qt5-qtenginio-1:1.6.2-28.fc32.x86_64 requires libQt5Core.so.5(Qt_5.13.2_PRIVATE_API)(64bit), but none of the providers can be installed

  • package qt5-qtenginio-1:1.6.2-28.fc32.x86_64 requires qt5-qtbase(x86-64) = 5.13.2, but none of the providers can be installed

  • cannot install both qt5-qtbase-5.14.2-5.fc32.x86_64 and qt5-qtbase-5.13.2-5.fc32.x86_64

  • cannot install both qt5-qtbase-5.14.2-5.fc32.x86_64 and qt5-qtbase-5.13.2-4.fc32.x86_64

  • cannot install the best update candidate for package qt5-qtbase-5.13.2-5.fc32.x86_64

User Icon cheeselee commented & provided feedback a month ago

Please add:

  • deepin-kwin-0.1.0-7.fc32
  • deepin-qt-dbus-factory-5.0.1-5.fc32
  • dtkwidget-2.1.1-5.fc32
  • deepin-qt5integration-5.0.0-5.fc32
  • deepin-launcher-5.0.0-5.fc32
  • deepin-file-manager-5.0.0-7.fc32
  • deepin-editor-1.2.9.1-5.fc32a

This update has been pushed to testing.

a month ago

jgrulich edited this update.

New build(s):

  • qt5-qtenginio-1.6.2-29.fc32

Karma has been reset.

a month ago

This update has been submitted for testing by jgrulich.

a month ago
User Icon jgrulich commented & provided feedback a month ago

I'm sorry, but I cannot do deepin rebuilds, I wanted to, but deepin-qt-dbus-factory doesn't have "f32" branch for some reason and my request for this branch to be created was rejected, because I'm not the maintainer. Feel free to poke the maintainer to do the rebuilds.

User Icon cheeselee commented & provided feedback a month ago

I mean I have done the deepin rebuilds. Please the following builds to the update:

  • deepin-kwin-0.1.0-7.fc32
  • deepin-qt-dbus-factory-5.0.1-5.fc32
  • dtkwidget-2.1.1-5.fc32
  • deepin-qt5integration-5.0.0-5.fc32
  • deepin-launcher-5.0.0-5.fc32
  • deepin-file-manager-5.0.0-7.fc32
  • deepin-editor-1.2.9.1-5.fc32a
User Icon pwalter commented & provided feedback a month ago
karma

Works

User Icon ozeszty commented & provided feedback a month ago

Updated successfully, I'll add karma after some more time.

User Icon adamwill commented & provided feedback a month ago

the openQA failure here is just because the update is so large it causes the test VM to run out of disk space. it's not a bug in the update really. I could hack it up and re-run it but it doesn't seem worth bothering because there's no reason this update would actually break FreeIPA.

User Icon ankursinha commented & provided feedback a month ago

Update currently blocked here by the lack of the corresponding -freeworld update on rpmfusion from the looks of it. Jan, would you be taking care of that bit too please?


 Problem 1: package qt5-qtenginio-1:1.6.2-28.fc32.x86_64 requires qt5-qtbase(x86-64) = 5.13.2, but none of the providers can be installed
  - package qt5-qtenginio-1:1.6.2-28.fc32.x86_64 requires libQt5Core.so.5(Qt_5.13.2_PRIVATE_API)(64bit), but none of the providers can be installed
  - cannot install both qt5-qtbase-5.14.2-5.fc32.x86_64 and qt5-qtbase-5.13.2-5.fc32.x86_64
  - cannot install both qt5-qtbase-5.13.2-5.fc32.x86_64 and qt5-qtbase-5.14.2-5.fc32.x86_64
  - cannot install both qt5-qtbase-5.13.2-4.fc32.x86_64 and qt5-qtbase-5.14.2-5.fc32.x86_64
  - cannot install the best update candidate for package qt5-qtenginio-1:1.6.2-28.fc32.x86_64
  - cannot install the best update candidate for package qt5-qtbase-5.13.2-5.fc32.x86_64
 Problem 2: package qt5-qtwebengine-freeworld-5.13.2-3.fc32.x86_64 requires libQt5Gui.so.5(Qt_5.13.2_PRIVATE_API)(64bit), but none of the providers can be installed
  - cannot install both qt5-qtbase-gui-5.14.2-5.fc32.x86_64 and qt5-qtbase-gui-5.13.2-5.fc32.x86_64
  - cannot install both qt5-qtbase-gui-5.13.2-5.fc32.x86_64 and qt5-qtbase-gui-5.14.2-5.fc32.x86_64
  - cannot install both qt5-qtbase-gui-5.13.2-4.fc32.x86_64 and qt5-qtbase-gui-5.14.2-5.fc32.x86_64
  - cannot install the best update candidate for package qt5-qtwebengine-freeworld-5.13.2-3.fc32.x86_64
  - cannot install the best update candidate for package qt5-qtbase-gui-5.13.2-5.fc32.x86_64
 Problem 3: problem with installed package qt5-qtwebengine-freeworld-5.13.2-3.fc32.x86_64
  - package qt5-qtwebengine-freeworld-5.13.2-3.fc32.x86_64 requires qt5-qtwebengine(x86-64) = 5.13.2, but none of the providers can be installed
  - cannot install both qt5-qtwebengine-5.14.2-2.fc32.x86_64 and qt5-qtwebengine-5.13.2-4.fc32.x86_64
  - cannot install both qt5-qtwebengine-5.13.2-4.fc32.x86_64 and qt5-qtwebengine-5.14.2-2.fc32.x86_64
  - cannot install the best update candidate for package qt5-qtwebengine-5.13.2-4.fc32.x86_64
 Problem 4: problem with installed package qt5-qtenginio-1:1.6.2-28.fc32.x86_64
  - package qt5-qtenginio-1:1.6.2-28.fc32.x86_64 requires qt5-qtbase(x86-64) = 5.13.2, but none of the providers can be installed
  - package qt5-qtenginio-1:1.6.2-28.fc32.x86_64 requires libQt5Core.so.5(Qt_5.13.2_PRIVATE_API)(64bit), but none of the providers can be installed
  - cannot install both qt5-qtbase-5.14.2-5.fc32.x86_64 and qt5-qtbase-5.13.2-5.fc32.x86_64
  - cannot install both qt5-qtbase-5.13.2-5.fc32.x86_64 and qt5-qtbase-5.14.2-5.fc32.x86_64
  - cannot install both qt5-qtbase-5.13.2-4.fc32.x86_64 and qt5-qtbase-5.14.2-5.fc32.x86_64
  - package python3-qt5-5.14.2-3.fc32.x86_64 requires libQt5Core.so.5(Qt_5.14)(64bit), but none of the providers can be installed
  - cannot install the best update candidate for package python3-qt5-5.13.2-5.fc32.x86_64

(Not given negative karma because this isn't an issue with this update)

User Icon xvitaly commented & provided feedback a month ago

Jan, would you be taking care of that bit too please?

RPM Fusion cannot do rebuilds until this update will reach stable.

This update's test gating status has been changed to 'greenwave_failed'.

a month ago
User Icon zawertun provided feedback a month ago
karma
User Icon pizzadude provided feedback a month ago
karma
BZ#1838291 qt-creator-4.12.1 is available

This update's test gating status has been changed to 'ignored'.

a month ago
User Icon renault commented & provided feedback a month ago
karma

Works fine, no regressions found

User Icon ankursinha commented & provided feedback a month ago
karma
RPM Fusion cannot do rebuilds until this update will reach stable.

Ah, right.

User Icon vascom commented & provided feedback a month ago
karma

Good.

BZ#1838291 qt-creator-4.12.1 is available
User Icon cserpentis commented & provided feedback a month ago
karma

works for me

User Icon xvitaly commented & provided feedback a month ago
karma

Works for me.

BZ#1838291 qt-creator-4.12.1 is available
User Icon kparal commented & provided feedback a month ago
karma

I don't use many QT apps, but VLC shows up fine in my Workstation. Also, yubioath-desktop generates a token correctly as well.

User Icon johnp117 provided feedback a month ago
karma

This update has been pushed to testing.

a month ago

This update has been submitted for stable by bodhi.

a month ago
User Icon imabug provided feedback a month ago
karma
User Icon atim commented & provided feedback a month ago
karma

Also:

dtkwidget-2.1.1-4.fc32.x86_64
deepin-qt-dbus-factory-5.0.1-4.fc32.x86_64
deepin-shortcut-viewer-5.0.0-2.fc32.x86_64
deepin-screenshot-5.0.0-2.fc32.x86_64
User Icon alone commented & provided feedback a month ago

hi thank you for package qt5-qtbase
i use qt-creator for develop but i don't know why qt-creator don't show output qDebug after i search it i know i need enable that on use .debug=true qt.*.debug=true on file qtlogging.ini but i don't know why output don't show on qt-creator -> panel - > application output?

This update has been pushed to stable.

a month ago
User Icon scorpionit commented & provided feedback a month ago
karma

working for me.

@alone you need to run qtcreator with QT_ASSUME_STDERR_HAS_CONSOLE=1 (https://bugreports.qt.io/browse/QTBUG-66153)

BZ#1838291 qt-creator-4.12.1 is available
User Icon churchyard commented & provided feedback 3 weeks ago

My package python-pyqtchart was not rebuilt for this upgrade and hence now fails to install :(

User Icon churchyard commented & provided feedback 3 weeks ago
User Icon jgrulich commented & provided feedback 3 weeks ago

@churchyard sorry about that. I will add python-pyqtchart to my list and rebuild it next time.

User Icon churchyard commented & provided feedback 3 weeks ago

No harm done, thanks for adding it. Do you keep a static list?

User Icon jgrulich commented & provided feedback 3 weeks ago

I have my own list locally and I just do a bash for cycle through the packages and run the builds. I also tried to run "dnf repoquery --repoid=rawhide-source --arch=src --whatrequires qt5-qtbase-private-devel" and compared it with my list and I either overlooked your package or it doesn't depend on qtbase-private-devel.

User Icon churchyard commented & provided feedback 3 weeks ago

It does BuildRequire qt5-qtbase-private-devel, so hopefully all is good now. Thanks!


Please login to add feedback.

Metadata
Type
enhancement
Karma
13
Signed
Content Type
RPM
Test Gating
Builds
76
Settings
Unstable by Karma
-3
Stable by Karma
6
Stable by Time
14 days
Dates
submitted
a month ago
in testing
a month ago
in stable
a month ago
modified
a month ago
BZ#1838291 qt-creator-4.12.1 is available
0
4
analitza-19.12.2-2.fc32
appmenu-qt5-0.3.0+16.10.20160628.1-21.fc32
calibre-4.17.0-2.fc32
deepin-qt5dxcb-plugin-5.0.1-5.fc32
dnscrypt-proxy-gui-1.21.16-11.fc32
dtkwm-2.0.12-5.fc32
elisa-player-20.04.1-2.fc32
fcitx-qt5-1.2.4-4.fc32
gammaray-2.11.1-1.fc32
gcin-2.8.9-4.fc32
hedgewars-1.0.0-9.fc32
kf5-akonadi-server-19.12.2-2.fc32
kf5-frameworkintegration-5.70.0-2.fc32
kf5-kdeclarative-5.70.0-2.fc32
kf5-kwayland-5.70.0-2.fc32
kf5-kxmlgui-5.70.0-2.fc32
kmymoney-5.0.8-6.fc32
kwin-5.18.5-2.fc32
libfm-qt-0.14.1-10.fc32
libqtxdg-3.3.1-9.fc32
lxqt-qtplugin-0.14.0-9.fc32
mscore-3.4.2-4.fc32
plasma-integration-5.18.5-2.fc32
pyotherside-1.5.9-4.fc32
python-pyside2-5.13.2-5.fc32
python-qt5-5.14.2-3.fc32
qgis-3.12.1-4.fc32
qgnomeplatform-0.6.1-2.fc32
qstardict-1.3-16.fc32
qt5-5.14.2-3.fc32
qt5ct-0.38-9.fc32
qt5-doc-5.14-1.fc32
qt5-qt3d-5.14.2-1.fc32
qt5-qtbase-5.14.2-5.fc32
qt5-qtcanvas3d-5.12.5-4.fc32
qt5-qtcharts-5.14.2-1.fc32
qt5-qtconnectivity-5.14.2-1.fc32
qt5-qtdeclarative-5.14.2-1.fc32
qt5-qtdoc-5.14.2-1.fc32
qt5-qtenginio-1.6.2-29.fc32
qt5-qtgamepad-5.14.2-1.fc32
qt5-qtgraphicaleffects-5.14.2-1.fc32
qt5-qtimageformats-5.14.2-1.fc32
qt5-qtlocation-5.14.2-2.fc32
qt5-qtmultimedia-5.14.2-1.fc32
qt5-qtnetworkauth-5.14.2-1.fc32
qt5-qtquickcontrols2-5.14.2-1.fc32
qt5-qtquickcontrols-5.14.2-1.fc32
qt5-qtremoteobjects-5.14.2-1.fc32
qt5-qtscript-5.14.2-1.fc32
qt5-qtscxml-5.14.2-1.fc32
qt5-qtsensors-5.14.2-1.fc32
qt5-qtserialbus-5.14.2-1.fc32
qt5-qtserialport-5.14.2-1.fc32
qt5-qtspeech-5.14.2-1.fc32
qt5-qtstyleplugins-5.0.0-39.fc32
qt5-qtsvg-5.14.2-1.fc32
qt5-qttools-5.14.2-1.fc32
qt5-qttranslations-5.14.2-2.fc32
qt5-qtvirtualkeyboard-5.14.2-1.fc32
qt5-qtwayland-5.14.2-3.fc32
qt5-qtwebchannel-5.14.2-1.fc32
qt5-qtwebengine-5.14.2-2.fc32
qt5-qtwebkit-5.212.0-0.46.alpha4.fc32
qt5-qtwebsockets-5.14.2-1.fc32
qt5-qtwebview-5.14.2-1.fc32
qt5-qtx11extras-5.14.2-1.fc32
qt5-qtxmlpatterns-5.14.2-1.fc32
qt-creator-4.12.2-2.fc32
qtcurve-1.9.1-11.fc32
skrooge-2.22.1-1.fc32
texmaker-5.0.4-4.fc32
ugene-34.0-1.fc32
xdg-desktop-portal-kde-5.18.5-2.fc32
yarock-1.4.0-8.fc32
yubioath-desktop-5.0.4-2.git2e13158.fc32

Automated Test Results